/* tpk.cc -- Knuth's TPK program in C++ */

#include <iostream.h>
#include <math.h>

/* f(x) = sqrt(|x|) + 5*x**3 */
double f (double x) {
	return (sqrt(fabs(x)) + 5.0*pow(x,3.0));
}

int main (int argc, char** argv) {
	double A [11];
	
	/* Read in the values of the array "A" */
	for (int i=0; i<11; i++) {
		cin >> A[i];
	}
	
	/* Apply "f" to each element of "A" */
	for (i=10; i>=0; i--) {
		double y = f (A[i]);
		if (y > 400.0) {
			cout << i << " TOO LARGE\n";
		} else {
			cout << i << ' ' << y << '\n';
		}
	}
	
	return 0;
}
